if executable('rg')
  let g:ackprg = 'rg --vimgrep --no-heading' " Use ripgrep for Ack

  noremap <Leader>\ :Ack<Space>
  noremap <Leader><Tab> :Ack <C-r><C-w><CR>

  " Use rg over grep
  set grepprg=rg\ --color\ never

  " Use rg in CtrlP for listing files. Lightning fast and respects .gitignore
  let g:ctrlp_user_command = 'rg --files %s'
  let g:ctrlp_use_caching = 0
  let g:ctrlp_working_path_mode = 'ra'
  let g:ctrlp_switch_buffer = 'et'
endif
