" Assorted plugins
Plug 'cespare/vim-toml', { 'for': 'toml' }
Plug 'chrisbra/unicode.vim'
Plug 'kevinhwang91/nvim-hlslens'
Plug 'leafgarland/typescript-vim', { 'for': 'typescript' }
Plug 'leafoftree/vim-svelte-plugin', { 'for': 'svelte' }
Plug 'lukas-reineke/indent-blankline.nvim'
Plug 'mfussenegger/nvim-dap'
Plug 'nvim-lua/plenary.nvim'
Plug 'nvim-treesitter/nvim-treesitter', {'do': ':TSUpdate'}
"Plug 'petertriho/nvim-scrollbar'
Plug 'posva/vim-vue', { 'for': 'vue' }
Plug 'ron-rs/ron.vim', { 'for': 'ron' }
Plug 'simrat39/rust-tools.nvim'
Plug 'tommcdo/vim-exchange'
Plug 'tpope/vim-fugitive'
Plug 'tpope/vim-projectionist'
Plug 'tpope/vim-rails'
Plug 'tpope/vim-repeat'
Plug 'tpope/vim-surround'
Plug 'vim-test/vim-test'
Plug 'wakatime/vim-wakatime'
Plug 'windwp/nvim-autopairs'

" LSP and autocomplete
Plug 'neovim/nvim-lspconfig'
  Plug 'hrsh7th/cmp-nvim-lsp'
  Plug 'hrsh7th/cmp-buffer'
  Plug 'hrsh7th/cmp-path'
  Plug 'hrsh7th/cmp-cmdline'
  Plug 'hrsh7th/nvim-cmp'
  Plug 'hrsh7th/cmp-vsnip'
  Plug 'hrsh7th/vim-vsnip'
  Plug 'rafamadriz/friendly-snippets'

" Gitsigns
Plug 'lewis6991/gitsigns.nvim'

" Telescope
Plug 'nvim-telescope/telescope.nvim'

" Lightline
Plug 'itchyny/lightline.vim'
  Plug 'albertomontesg/lightline-asyncrun'
  Plug 'itchyny/vim-gitbranch'
  Plug 'macthecadillac/lightline-gitdiff'
  Plug 'ryanoasis/vim-devicons'
  Plug 'anstadnik/tmuxline.vim'
  " Using the above fork for lightline truecolor support
  " \ Plug 'edkolev/tmuxline.vim'

" NvimTree
Plug 'kyazdani42/nvim-tree.lua'
  Plug 'kyazdani42/nvim-web-devicons'

" Vim-Markdown
Plug 'godlygeek/tabular'
  Plug 'plasticboy/vim-markdown', { 'for': 'markdown' }

" sonokai colorscheme + supporting plugins
Plug 'sainnhe/sonokai'
  Plug 'rmolin88/pomodoro.vim'
  Plug 'sainnhe/artify.vim'

" bogster colorscheme
Plug 'vv9k/bogster'
